Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.basic
Class PropositionVariables

    java.lang.Object
      com.meyling.principia.logic.basic.PropositionVariables

public class PropositionVariables
extends Object

Set of proposition variables.

Version:
  $Revision: 1.5 $
Author:
  Michael Meyling

Constructor Summary
`PropositionVariables()` Construct an empty set of proposition variables.
`PropositionVariables(PropositionVariable[] already)` Construct a new set of proposition variables with some initial entries.
`PropositionVariables(PropositionVariables already)` Construct a new set of proposition variables with the same entires as the given one.

Method Summary
`void` | `add(PropositionVariable variable)` Add a proposition variable to the set.
`void` | `addAll(PropositionVariables newOnes)` Add all these proposition variables.
`boolean` | `contains(PropositionVariable variable)` Check if a certain proposition variable is already in the set.
`boolean` | `contains(PropositionVariables variables)` Does this object contain another set of proposition variables?
`boolean` | `emptyIntersection(PropositionVariables variables)` Does this object have an empty intersection with another set of proposition variables?
`boolean` | `equals(PropositionVariables variables)` Is this object equal to another one?
`int` | `getHighestNumber()` Get highest number of each entry.
`int` | `getSize()` Get number of elements in the set.
`void` | `remove(PropositionVariable variable)` Remove a proposition variable or a pattern variable from the set.
`String` | `toString()` Get a readable string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropositionVariables

    public PropositionVariables()

  Construct an empty set of proposition variables.

### PropositionVariables

    public PropositionVariables(PropositionVariables already)

  Construct a new set of proposition variables with the same entires as the given one.

Parameters:
  `already` - these proposition variable entries should be added

### PropositionVariables

    public PropositionVariables(PropositionVariable[] already)

  Construct a new set of proposition variables with some initial entries.

Parameters:
  `already` - these proposition variable entries should be added

Method Detail

### add

    public final void add(PropositionVariable variable)

  Add a proposition variable to the set.

  Parameters:
    `variable` - add this variable

### contains

    public final boolean contains(PropositionVariable variable)

  Check if a certain proposition variable is already in the set.

  Parameters:
    `variable` - check for this variable
  Returns:
    is `variable` already there?

### emptyIntersection

    public final boolean emptyIntersection(PropositionVariables variables)

  Does this object have an empty intersection with another set of proposition variables?

  Parameters:
    `variables` - to build intersection with
  Returns:
    is the intersection empty?

### contains

    public final boolean contains(PropositionVariables variables)

  Does this object contain another set of proposition variables?

  Parameters:
    `variables` - check this set
  Returns:
    is `variables` a subset?

### addAll

    public final void addAll(PropositionVariables newOnes)

  Add all these proposition variables.

  Parameters:
    `newOnes` - these should be added

### getSize

    public final int getSize()

  Get number of elements in the set.

  Returns:
    element number of set

### getHighestNumber

    public final int getHighestNumber()

  Get highest number of each entry.

  Returns:
    maxiumum of number value for all entries, if getSize() == 0 it returns -1

### remove

    public final void remove(PropositionVariable variable)

  Remove a proposition variable or a pattern variable from the set.

  Parameters:
    `variable` - remove this one

### toString

    public final String toString()

  Get a readable string representation of this object.

  Returns:
    description of this object

### equals

    public final boolean equals(PropositionVariables variables)

  Is this object equal to another one?

  Parameters:
    `variables` - object to compare with
  Returns:
    do all their entries are equal?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.